PHP Manual
Prev |  | Next

# DOMDocument->load()

(no version information, might be only in CVS)

DOMDocument->load() -- Load XML from a file

## Description

class DOMDocument {
bool load ( string filename [, int options] )
}

Loads an XML document from a file.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

filename

  The path to the XML document.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Creating a Document
`<?php $doc = DOMDocument::load('book.xml'); echo $doc->saveXML(); $doc = new DOMDocument(); $doc->load('book.xml'); echo $doc->saveXML(); ?>`

## See Also

DOMDocument->loadXML()
DOMDocument->save()
DOMDocument->saveXML()

Prev | Home | Next
DOMDocument->importNode() | Up | DOMDocument->loadHTML()